#!/usr/bin/perl

# Merge entire Q&A files into one file.

STDIN_LOOP: while (<>) {
    chop;
    if ( $_ =~ /^\#/ ) {
	next STDIN_LOOP;
    }

    ( $command, $params )	= split /\s/o, $_, 2;

    if ( $command eq 'include' ) {
	$filename	= $params;
	$filename	=~ s/.qa$//;
	print  "<QANDA: $filename>\n";
	printout_file( $params );
        print  "\n";
    } else {
        print "$_\n";
    }
}


sub printout_file {
    my ( $filename )	= @_;

    open FN, $filename;
    PRINTOUT_FILE_LOOP: while ( <FN> ) {
	if ( $_ =~ /^\#/ ) {
	    next PRINTOUT_FILE_LOOP;
	}
	print $_;
    }
    close FN;
}
